9 Replies Latest reply: Nov 19, 2010 4:28 AM by Luca Stancapiano RSS

GateIn

Kirill Petrov Newbie

Will forums portlet work in the new GateIn portal under Tomcat?

  • 1. Re: GateIn
    Luca Stancapiano Apprentice

    Hi..you can use the 1.3 version. It supports Gatein and tomcat. The 1.3 version is not yet stable. You can download it from the SVN:

     

    http://anonsvn.jboss.org/repos/labs/labs/jbossforums/branches/noejbforums130P27/

  • 2. Re: GateIn
    Oleksii Vavilkin Newbie

    cool!

    Could you please provide some guidelines to deploy them correctly?

    When I run the build.sh script it results to some ear, war and sar files, but I have no clue which one to deploy actually. If I deploy them all I get the

     

    java.lang.RuntimeException: portal-forums-authz-plugin.sar module listed in application.xml does not exist within .ear vfszip:/warehouse/prg/GateIn-3.0.0-Beta03/server/default/deploy/jboss-forums-ha-jbp.ear/

     

    exception and I can't find out where should I get that authz-plugin file.

    Any howto?

    Thanks!

  • 3. Re: GateIn
    Luca Stancapiano Apprentice
    Sorry....I forgotten that version uses the .sar  and .ear files not supported in Tomcat. Yu need a hard customization work about it. The sar file is used for the role management so actually you could use it whithout it
  • 4. Re: GateIn
    Oleksii Vavilkin Newbie

    Actually I guess I could use them as far as I'm using JBoss

    Just dunno where to get them. Howto would be helpful =) I mean the howto to this svn and the ear etc files I get when the project is built.

  • 5. Re: GateIn
    Luca Stancapiano Apprentice
    Actually there is no documentation about it, so some contribution will be awesome
  • 6. Re: GateIn
    Oleksii Vavilkin Newbie

    Ok, I spent some time trying to start forums, no success yet actually.

    First I found the portal-forums-authz-plugin.sar file in the previous (release) version of jboss-forums.

    Then I edited some .xml files (only headers actually) to match current versions.

    Right now once I copy the jboss-forums-ha-jbp.ear file to the JBoss deploy directory, I get an exception. I can't see here "code template" so I will add the exception as an attach.

    I googled around and found out that this exception usually occurs because of the application has got the same classes in libraries (included in the deployment war) as the JBoss AS. Once I tried to figure out which one exactly... not success yet. I found some which are the same for gatein.ear on my server - but they are in gatein.ear not in JBossAS/lib/. And also found some like jboss-acl-jar or jboss-identity-management.jar, but once I did jar -tf to them - I couldn't match the same classes in jboss native libs.

    So, I've got next questions:

    1. What is the difference between jboss-forums.ear  jboss-forums-ha.ear  jboss-forums-ha-jbp.ear files? Which one should be deployed to the JBoss AS actually?

    2. Could you point the libs you included to the archive files that conflict with JBoss libs?

    3. Is there a newer version of portal-forums-authz-plugin.sar for GateIn?

     

    My enviorenment:

    GateIn 3.0.0 Beta3 with JBoss AS 5.1.0

    IBM JDK 1.6.0.5

     

    There is one project deployed to the server. It also uses portletbridge-api-2.0.0.BETA.jar and portletbridge-impl-2.0.0.BETA.jar. Not sure if that matters.

    Come on! Let's make it work!

  • 7. Re: GateIn
    Luca Stancapiano Apprentice

    If you use Gatein + JBoss 5.x you need this version. The version actually is beta and there are not binaries:

     

    http://anonsvn.jboss.org/repos/labs/labs/jbossforums/branches/forums130P27

     

    go in build directory and launch:

     

    ./build.sh

     

    It creates the three packages you have seen:

     

    jboss-forums.ear : not clustered version. You should start with this

     

    jboss-forums-ha.ear: clustered version. Not tested in JBoss 5.x

     

    jboss-forums-ha-jbp.ear: clustered version with JBoss Portal implementation. It cannot be used by Gatein

     

     

    Inside jboss-forums.ear there are all SAR you need. The acl package is a old part of jboss security project. It is an example of ACL implementation. The 1.3 version supports portletbridge so you should not have problems

  • 8. Re: GateIn
    helen thomas Newbie

    The initiative taken for the concern is very serious and need an attention of every one. This is the concern which exists in the society and needs to be eliminated from the society as soon as possible.
    ======================

    The initiative taken for the concern is very serious and need an attention of every one. This is the concern which exists in the society and needs to be eliminated from the society as soon as possible.

    ======================

    BMW Sale

  • 9. Re: GateIn
    Luca Stancapiano Apprentice

    what initiative?